Subject: Re: echo > 0 .../disable_ipv6 broken in 2.6.37-rc4

From: [email-masked] (Eric W. Biederman)
Date: Wed, 08 Dec 2010 19:18:41 -0800

[email-masked] (Eric W. Biederman) writes:

> Playing with this some more I have come up with a totally evil testcase.
>
> If I bring lo down, and back up again I cannot talk to local addresses
> through the loopback device, that I could before.

I just tested 2.6.32.23 and I cannot ping local ipv6 addresses after
the loopback interface is brought administratively down and back up.

So it looks like we have some old bugs getting in the way an recent
changes that are reasonable.  I don't expect that it is by design
that bouncing the loopback interface breaks the ipv6 stack.

Eric